{
    "$graph": [
        {
            "requirements": [
                {
                    "class": "DockerRequirement",
                    "dockerPull": "quay.io/ncigdc/integrity_to_sqlite:9b900fd5dedfdcb4b4c9a2034070463aa87b5e28a6e7ec59a0c504aab83c16f3"
                },
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "ResourceRequirement",
                    "coresMin": 1,
                    "coresMax": 1,
                    "ramMin": 1000,
                    "ramMax": 1000,
                    "tmpdirMin": 5,
                    "tmpdirMax": 5,
                    "outdirMin": 5,
                    "outdirMax": 5
                }
            ],
            "class": "CommandLineTool",
            "inputs": [
                {
                    "id": "#integrity_to_sqlite.cwl/input_state",
                    "type": "string",
                    "inputBinding": {
                        "prefix": "--input_state"
                    }
                },
                {
                    "id": "#integrity_to_sqlite.cwl/ls_l_path",
                    "type": "File",
                    "inputBinding": {
                        "prefix": "--ls_l_path"
                    }
                },
                {
                    "id": "#integrity_to_sqlite.cwl/md5sum_path",
                    "type": "File",
                    "inputBinding": {
                        "prefix": "--md5sum_path"
                    }
                },
                {
                    "id": "#integrity_to_sqlite.cwl/sha256sum_path",
                    "type": "File",
                    "inputBinding": {
                        "prefix": "--sha256sum_path"
                    }
                },
                {
                    "id": "#integrity_to_sqlite.cwl/job_uuid",
                    "type": "string",
                    "inputBinding": {
                        "prefix": "--job_uuid"
                    }
                }
            ],
            "baseCommand": [
                "/usr/local/bin/integrity_to_sqlite"
            ],
            "id": "#integrity_to_sqlite.cwl",
            "outputs": [
                {
                    "id": "#integrity_to_sqlite.cwl/LOG",
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.job_uuid + \".log\")"
                    }
                },
                {
                    "id": "#integrity_to_sqlite.cwl/OUTPUT",
                    "format": "#integrity_to_sqlite.cwl/format_3621",
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.job_uuid + \".db\")"
                    }
                }
            ]
        },
        {
            "requirements": [
                {
                    "class": "DockerRequirement",
                    "dockerPull": "ubuntu:bionic-20180426"
                },
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "ResourceRequirement",
                    "coresMin": 1,
                    "coresMax": 1,
                    "ramMin": 500,
                    "ramMax": 500,
                    "tmpdirMin": 1,
                    "tmpdirMax": 1,
                    "outdirMin": 1,
                    "outdirMax": 1
                }
            ],
            "class": "CommandLineTool",
            "inputs": [
                {
                    "id": "#ls_l.cwl/INPUT",
                    "type": "File",
                    "inputBinding": {
                        "position": 0
                    }
                }
            ],
            "outputs": [
                {
                    "id": "#ls_l.cwl/OUTPUT",
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.INPUT.nameroot + \".ls\")"
                    }
                }
            ],
            "stdout": "$(inputs.INPUT.nameroot + \".ls\")",
            "baseCommand": [
                "ls",
                "-l"
            ],
            "id": "#ls_l.cwl"
        },
        {
            "requirements": [
                {
                    "class": "DockerRequirement",
                    "dockerPull": "ubuntu:bionic-20180426"
                },
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "ResourceRequirement",
                    "coresMin": 1,
                    "coresMax": 1,
                    "ramMin": 1000,
                    "ramMax": 1000,
                    "tmpdirMin": 1,
                    "tmpdirMax": 1,
                    "outdirMin": 1,
                    "outdirMax": 1
                }
            ],
            "class": "CommandLineTool",
            "inputs": [
                {
                    "id": "#md5sum.cwl/INPUT",
                    "type": "File",
                    "inputBinding": {
                        "position": 0
                    }
                }
            ],
            "outputs": [
                {
                    "id": "#md5sum.cwl/OUTPUT",
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.INPUT.nameroot + \".md5\")"
                    }
                }
            ],
            "stdout": "$(inputs.INPUT.nameroot + \".md5\")",
            "baseCommand": [
                "md5sum"
            ],
            "id": "#md5sum.cwl"
        },
        {
            "requirements": [
                {
                    "class": "DockerRequirement",
                    "dockerPull": "quay.io/ncigdc/merge_sqlite:1b3a6f55be8579ecfb4c9c0513c3b710717a8f4cd8e79c88ee8c0f28f604faa3"
                },
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "ResourceRequirement",
                    "coresMin": 1,
                    "coresMax": 1,
                    "ramMin": 1000,
                    "ramMax": 1000,
                    "tmpdirMin": "${\nvar req_space = 0;\nfor (var i = 0; i < inputs.source_sqlite.length; i++) {\n    req_space += inputs.source_sqlite[i].size;\n  }\nreturn Math.ceil(2 * (req_space / 1048576));\n}      \n",
                    "tmpdirMax": "${\nvar req_space = 0;\nfor (var i = 0; i < inputs.source_sqlite.length; i++) {\n    req_space += inputs.source_sqlite[i].size;\n  }\nreturn Math.ceil(2 * (req_space / 1048576));\n}      \n",
                    "outdirMin": "${\nvar req_space = 0;\nfor (var i = 0; i < inputs.source_sqlite.length; i++) {\n    req_space += inputs.source_sqlite[i].size;\n  }\nreturn Math.ceil(req_space / 1048576);\n}      \n",
                    "outdirMax": "${\nvar req_space = 0;\nfor (var i = 0; i < inputs.source_sqlite.length; i++) {\n    req_space += inputs.source_sqlite[i].size;\n  }\nreturn Math.ceil(req_space / 1048576);\n}\n"
                }
            ],
            "class": "CommandLineTool",
            "inputs": [
                {
                    "id": "#merge_sqlite.cwl/source_sqlite",
                    "format": "#merge_sqlite.cwl/format_3621",
                    "type": {
                        "type": "array",
                        "items": "File",
                        "inputBinding": {
                            "prefix": "--source_sqlite"
                        }
                    }
                },
                {
                    "id": "#merge_sqlite.cwl/job_uuid",
                    "type": "string",
                    "inputBinding": {
                        "prefix": "--job_uuid"
                    }
                }
            ],
            "outputs": [
                {
                    "id": "#merge_sqlite.cwl/destination_sqlite",
                    "format": "#merge_sqlite.cwl/format_3621",
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.job_uuid + \".db\")"
                    }
                },
                {
                    "id": "#merge_sqlite.cwl/log",
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.job_uuid + \".log\")"
                    }
                }
            ],
            "baseCommand": [
                "/usr/local/bin/merge_sqlite"
            ],
            "id": "#merge_sqlite.cwl"
        },
        {
            "requirements": [
                {
                    "class": "DockerRequirement",
                    "dockerPull": "ubuntu:bionic-20180426"
                },
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "ResourceRequirement",
                    "coresMin": 1,
                    "coresMax": 1,
                    "ramMin": 1000,
                    "ramMax": 1000,
                    "tmpdirMin": 1,
                    "tmpdirMax": 1,
                    "outdirMin": 1,
                    "outdirMax": 1
                }
            ],
            "class": "CommandLineTool",
            "inputs": [
                {
                    "id": "#sha256sum.cwl/INPUT",
                    "type": "File",
                    "inputBinding": {
                        "position": 0
                    }
                }
            ],
            "outputs": [
                {
                    "id": "#sha256sum.cwl/OUTPUT",
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.INPUT.nameroot + \".sha256\")"
                    }
                }
            ],
            "stdout": "$(inputs.INPUT.nameroot + \".sha256\")",
            "baseCommand": [
                "sha256sum"
            ],
            "id": "#sha256sum.cwl"
        },
        {
            "class": "Workflow",
            "requirements": [
                {
                    "class": "StepInputExpressionRequirement"
                },
                {
                    "class": "MultipleInputFeatureRequirement"
                }
            ],
            "inputs": [
                {
                    "id": "#main/bai",
                    "type": "File"
                },
                {
                    "id": "#main/bam",
                    "type": "File"
                },
                {
                    "id": "#main/input_state",
                    "type": "string"
                },
                {
                    "id": "#main/job_uuid",
                    "type": "string"
                }
            ],
            "outputs": [
                {
                    "id": "#main/merge_sqlite_destination_sqlite",
                    "type": "File",
                    "outputSource": "#main/merge_sqlite/destination_sqlite"
                }
            ],
            "steps": [
                {
                    "id": "#main/bai_ls_l",
                    "run": "#ls_l.cwl",
                    "in": [
                        {
                            "id": "#main/bai_ls_l/INPUT",
                            "source": "#main/bai"
                        }
                    ],
                    "out": [
                        {
                            "id": "#main/bai_ls_l/OUTPUT"
                        }
                    ]
                },
                {
                    "id": "#main/bai_md5sum",
                    "run": "#md5sum.cwl",
                    "in": [
                        {
                            "id": "#main/bai_md5sum/INPUT",
                            "source": "#main/bai"
                        }
                    ],
                    "out": [
                        {
                            "id": "#main/bai_md5sum/OUTPUT"
                        }
                    ]
                },
                {
                    "id": "#main/bai_sha256",
                    "run": "#sha256sum.cwl",
                    "in": [
                        {
                            "id": "#main/bai_sha256/INPUT",
                            "source": "#main/bai"
                        }
                    ],
                    "out": [
                        {
                            "id": "#main/bai_sha256/OUTPUT"
                        }
                    ]
                },
                {
                    "id": "#main/bam_ls_l",
                    "run": "#ls_l.cwl",
                    "in": [
                        {
                            "id": "#main/bam_ls_l/INPUT",
                            "source": "#main/bam"
                        }
                    ],
                    "out": [
                        {
                            "id": "#main/bam_ls_l/OUTPUT"
                        }
                    ]
                },
                {
                    "id": "#main/bam_md5sum",
                    "run": "#md5sum.cwl",
                    "in": [
                        {
                            "id": "#main/bam_md5sum/INPUT",
                            "source": "#main/bam"
                        }
                    ],
                    "out": [
                        {
                            "id": "#main/bam_md5sum/OUTPUT"
                        }
                    ]
                },
                {
                    "id": "#main/bam_sha256",
                    "run": "#sha256sum.cwl",
                    "in": [
                        {
                            "id": "#main/bam_sha256/INPUT",
                            "source": "#main/bam"
                        }
                    ],
                    "out": [
                        {
                            "id": "#main/bam_sha256/OUTPUT"
                        }
                    ]
                },
                {
                    "id": "#main/bai_integrity_to_db",
                    "run": "#integrity_to_sqlite.cwl",
                    "in": [
                        {
                            "id": "#main/bai_integrity_to_db/input_state",
                            "source": "#main/input_state"
                        },
                        {
                            "id": "#main/bai_integrity_to_db/ls_l_path",
                            "source": "#main/bai_ls_l/OUTPUT"
                        },
                        {
                            "id": "#main/bai_integrity_to_db/md5sum_path",
                            "source": "#main/bai_md5sum/OUTPUT"
                        },
                        {
                            "id": "#main/bai_integrity_to_db/sha256sum_path",
                            "source": "#main/bai_sha256/OUTPUT"
                        },
                        {
                            "id": "#main/bai_integrity_to_db/job_uuid",
                            "source": "#main/job_uuid"
                        }
                    ],
                    "out": [
                        {
                            "id": "#main/bai_integrity_to_db/OUTPUT"
                        }
                    ]
                },
                {
                    "id": "#main/bam_integrity_to_db",
                    "run": "#integrity_to_sqlite.cwl",
                    "in": [
                        {
                            "id": "#main/bam_integrity_to_db/input_state",
                            "source": "#main/input_state"
                        },
                        {
                            "id": "#main/bam_integrity_to_db/ls_l_path",
                            "source": "#main/bam_ls_l/OUTPUT"
                        },
                        {
                            "id": "#main/bam_integrity_to_db/md5sum_path",
                            "source": "#main/bam_md5sum/OUTPUT"
                        },
                        {
                            "id": "#main/bam_integrity_to_db/sha256sum_path",
                            "source": "#main/bam_sha256/OUTPUT"
                        },
                        {
                            "id": "#main/bam_integrity_to_db/job_uuid",
                            "source": "#main/job_uuid"
                        }
                    ],
                    "out": [
                        {
                            "id": "#main/bam_integrity_to_db/OUTPUT"
                        }
                    ]
                },
                {
                    "id": "#main/merge_sqlite",
                    "run": "#merge_sqlite.cwl",
                    "in": [
                        {
                            "id": "#main/merge_sqlite/source_sqlite",
                            "source": [
                                "#main/bai_integrity_to_db/OUTPUT",
                                "#main/bam_integrity_to_db/OUTPUT"
                            ]
                        },
                        {
                            "id": "#main/merge_sqlite/job_uuid",
                            "source": "#main/job_uuid"
                        }
                    ],
                    "out": [
                        {
                            "id": "#main/merge_sqlite/destination_sqlite"
                        },
                        {
                            "id": "#main/merge_sqlite/log"
                        }
                    ]
                }
            ],
            "id": "#main"
        }
    ],
    "cwlVersion": "v1.0"
}
